XStreamWireFormat (Mule ESB 2.2.1 API)
Keywords: org.mule.module.xml.transformer.wire.XStreamWireFormat class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.xml.transformer.wire
Class XStreamWireFormat

    java.lang.Object
      org.mule.transformer.wire.TransformerPairWireFormat
          org.mule.module.xml.transformer.wire.XStreamWireFormat

All Implemented Interfaces:
  WireFormat

    public class XStreamWireFormat

extends TransformerPairWireFormat

Serializes objects using XStream. This is equivelent of using the ObjectToXml and XmlToObject except that there is no source or return type checking.

Field Summary

Fields inherited from class org.mule.transformer.wire.TransformerPairWireFormat
`inboundTransformer, logger, outboundTransformer, transferObjectClass`

Constructor Summary
`XStreamWireFormat()`
`XStreamWireFormat(String driverClassName, Map aliases, List converters)`

Method Summary

Methods inherited from class org.mule.transformer.wire.TransformerPairWireFormat
`getInboundTransformer, getOutboundTransformer, read, setInboundTransformer, setOutboundTransformer, setTransferObjectClass, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XStreamWireFormat

    public XStreamWireFormat()
                      throws IllegalAccessException,
                             InstantiationException,
                             ClassNotFoundException

Throws:
  `IllegalAccessException`
  `InstantiationException`
  `ClassNotFoundException`

### XStreamWireFormat

    public XStreamWireFormat(String driverClassName,
                             Map aliases,
                             List converters)
                      throws IllegalAccessException,
                             InstantiationException,
                             ClassNotFoundException

Throws:
  `IllegalAccessException`
  `InstantiationException`
  `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.